IMAGES=()

IMAGES+="quay.io/cephcsi/cephcsi:v3.9.0 "
IMAGES+="registry.k8s.io/sig-storage/csi-node-driver-registrar:v2.8.0 "
IMAGES+="registry.k8s.io/sig-storage/csi-provisioner:v3.5.0 "
IMAGES+="registry.k8s.io/sig-storage/csi-attacher:v4.3.0 "
IMAGES+="registry.k8s.io/sig-storage/csi-snapshotter:v6.2.2 "
IMAGES+="registry.k8s.io/sig-storage/csi-resizer:v1.8.0 "
IMAGES+="quay.io/csiaddons/k8s-sidecar:v0.7.0 "
IMAGES+="docker.io/rook/ceph:master "


for n in ${IMAGES[@]} ; do 
  echo "Pulling $n"
  docker pull $n
  IMG=$(echo ${n} | awk -F/ '{print $4}')
  NEW="docker.dezendorf.net/${n}"
  echo "tagged $NEW"
  docker tag $n $NEW
  docker push $NEW
done

